tracker-extract(1)

NAME
tracker-extract - Extract metadata from a file.

SYNOPSYS
tracker-extract [OPTION...] FILE...

DESCRIPTION
tracker-extract reads the file and mimetype provided in stdin and extract the metadata from this file; then it displays the metadata on the standard output. NOTE: If a FILE is not provided then tracker-extract will run for 30 seconds waiting for DBus calls before quitting.

OPTIONS

-?, --help
    Show summary of options.

-V, --version
    Show binary version.

-v, --verbosity=N
    Set verbosity to N. This overrides the config value. Values include 0=errors, 1=minimal, 2=detailed and 3=debug.

-f, --file=FILE
    The FILE to extract metadata from. The FILE argument can be either a local path or a URI. It also does not have to be an absolute path.

-m, --mime=MIME
    The MIME type to use for the file. If one is not provided, it will be guessed automatically.

-d, --debug
    Enable debug mode which will provide more information about what is going on during the extraction.

EXAMPLES

Using tracker-extract from command line to extract metadata from one file:
    $ echo -e "/x/y/z.mp3\naudio/mpeg" | tracker-extract

FILES
$HOME/.config/tracker/tracker-extract.cfg

SEE ALSO
tracker-store(1), tracker-sparql(1), tracker-stats(1), tracker-info(1).

tracker-extract.cfg(5).